Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 670915 - Review Request: aprsg - Amateur Radio APRS Gateway
Summary: Review Request: aprsg - Amateur Radio APRS Gateway
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 669010
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-01-19 16:45 UTC by Andrew Elwell
Modified: 2013-04-10 18:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-10 18:07:34 UTC


Attachments (Terms of Use)

Description Andrew Elwell 2011-01-19 16:45:24 UTC
Spec URL: http://dl.dropbox.com/u/6594808/Fedora/aprsg.spec
SRPM URL: http://dl.dropbox.com/u/6594808/Fedora/aprsg-1.2-1.fc14.src.rpm
Description: 
aprsg is an Amateur Radio APRS IGate. It can gateway APRS packets between one 
or more RF networks and the internet (APRS-IS). RF networks can be connected 
with a KISS TNC on a serial port. Transmitting to RF network(s) can be 
controlled with per-port filters. An AX.25 network interface, or the soundmodem
package can also be used.

Notes: This package depends on libfap-devel (see bug #669010)

rpmlint output:
[aelwell@pcitgtelwell aprsg]$ rpmlint aprsg.spec /home/aelwell/rpmbuild/SRPMS/aprsg-1.2-1.fc14.src.rpm 
aprsg.src: W: spelling-error %description -l en_US soundmodem -> sound modem, sound-modem, soundboard
1 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 1 Andrew Elwell 2011-01-19 16:48:12 UTC
Please note, I am still seeking a sponsor. Bug #633102 has links to some of my other submissions and informal reviews.

Comment 2 Mario Blättermann 2011-08-28 19:46:50 UTC
Some first issues:

Assuming you want to provide for no older releases than EPEL6 (according to libfap), you may drop the BuildRoot definition, the %clean section, "rm -rf $RPM_BUILD_ROOT" from %install and %defattr from %files. See http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL6. For EPEL 6. there are currently no differences to the common Fedora packaging guidelines.

Please remove the gz extension from the manpage in %files and let the build system choose the compression format. Well, it is gz now anyway, but could be changed in the future.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3307866

The build fails for Rawhide. See the build.log:
http://koji.fedoraproject.org/koji/getfile?taskID=3307867&name=build.log

aprspacket.cpp: In constructor 'AprsPacket::AprsPacket(const string&, const string&, const std::vector<std::basic_string<char> >&, const string&, const bool&)':
aprspacket.cpp:131:55: error: too few arguments to function 'void fap_explain_error(fap_error_code_t, char*)'
/usr/include/fap.h:381:6: note: declared here
aprspacket.cpp: In copy constructor 'AprsPacket::AprsPacket(const AprsPacket&, const std::vector<std::basic_string<char> >&)':
aprspacket.cpp:184:57: error: too few arguments to function 'void fap_explain_error(fap_error_code_t, char*)'
/usr/include/fap.h:381:6: note: declared here
aprspacket.cpp: In constructor 'AprsPacket::AprsPacket(fap_packet_t*, const bool&)':
aprspacket.cpp:506:54: error: too few arguments to function 'void fap_explain_error(fap_error_code_t, char*)'
/usr/include/fap.h:381:6: note: declared here

Don't know how to interpret this. The libfap-devel dependency is present in Rawhide (v.1.1.1).

Comment 3 Mario Blättermann 2011-10-16 13:49:04 UTC
Any news about this?

Comment 4 Randall "Randy" Berry 2011-10-22 05:56:07 UTC
(In reply to comment #2)
> Some first issues:
> 
> Assuming you want to provide for no older releases than EPEL6 (according to
> libfap), you may drop the BuildRoot definition, the %clean section, "rm -rf
> $RPM_BUILD_ROOT" from %install and %defattr from %files. See
> http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL6. For EPEL 6. there
> are currently no differences to the common Fedora packaging guidelines.
> 
> Please remove the gz extension from the manpage in %files and let the build
> system choose the compression format. Well, it is gz now anyway, but could be
> changed in the future.
> 
> Koji scratch build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=3307866
> 
> The build fails for Rawhide. See the build.log:
> http://koji.fedoraproject.org/koji/getfile?taskID=3307867&name=build.log
> 
> aprspacket.cpp: In constructor 'AprsPacket::AprsPacket(const string&, const
> string&, const std::vector<std::basic_string<char> >&, const string&, const
> bool&)':
> aprspacket.cpp:131:55: error: too few arguments to function 'void
> fap_explain_error(fap_error_code_t, char*)'
> /usr/include/fap.h:381:6: note: declared here
> aprspacket.cpp: In copy constructor 'AprsPacket::AprsPacket(const AprsPacket&,
> const std::vector<std::basic_string<char> >&)':
> aprspacket.cpp:184:57: error: too few arguments to function 'void
> fap_explain_error(fap_error_code_t, char*)'
> /usr/include/fap.h:381:6: note: declared here
> aprspacket.cpp: In constructor 'AprsPacket::AprsPacket(fap_packet_t*, const
> bool&)':
> aprspacket.cpp:506:54: error: too few arguments to function 'void
> fap_explain_error(fap_error_code_t, char*)'
> /usr/include/fap.h:381:6: note: declared here
> 
> Don't know how to interpret this. The libfap-devel dependency is present in
> Rawhide (v.1.1.1).

Same errors in my attempts to build. For F14,15 and rawhide.

Comment 5 Andrew Elwell 2012-01-31 14:07:46 UTC
OK, upstream has released 1.4 so I'm having another attempt to repackage. 

still failing to build under rawhide (but is OK in F16 and older)

g++ -DHAVE_CONFIG_H -I. -I..  -Wall -DSYSCONFDIR=\""/etc"\" -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/includ
e/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -DwxUSE_GUI=0  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexc
eptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic  -c -o serialport.o `test -f 'linux/serialport.cp
p' || echo './'`linux/serialport.cpp
g++ -DHAVE_CONFIG_H -I. -I..  -Wall -DSYSCONFDIR=\""/etc"\" -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/includ
e/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -DwxUSE_GUI=0  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexc
eptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic  -c -o connection.o connection.cpp
linux/serialport.cpp: In constructor 'Serialport::Serialport(const string&, const string&, const unsigned int&, const unsi
gned int&, const unsigned int&, const char&, const unsigned int&, const bool&)':
linux/serialport.cpp:68:19: error: 'getpid' was not declared in this scope
linux/serialport.cpp: In destructor 'Serialport::~Serialport()':
linux/serialport.cpp:240:20: error: 'close' was not declared in this scope
linux/serialport.cpp: In member function 'bool Serialport::transmit(const string&)':
linux/serialport.cpp:255:54: error: 'write' was not declared in this scope
linux/serialport.cpp: In member function 'bool Serialport::receive(std::string&, unsigned int)':
linux/serialport.cpp:286:39: error: 'read' was not declared in this scope
make[2]: *** [serialport.o] Error 1


... ongoing

Comment 6 Andrew Elwell 2012-02-01 11:48:01 UTC
OK - with the gcc-4.7 cleanup I had to explicitly #include <unistd.h> in 
serialport.cpp -- patch submitted upstream to author, together with discussions on logrotate etc (I have a logrotate.d/aprsg ready to go, but haven't included it in this as it doesn't log by default).

Files available at 

http://dl.dropbox.com/u/6594808/Fedora/aprsg-1.4-1.fc16.src.rpm
http://dl.dropbox.com/u/6594808/Fedora/aprsg.logrotate
http://dl.dropbox.com/u/6594808/Fedora/aprsg.spec


RPMlint output:

[aelwell@pcitgtelwell aprsg]$ rpmlint aprsg.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[aelwell@pcitgtelwell aprsg]$ rpmlint ~/rpmbuild/SRPMS/aprsg-1.4-1.fc16.src.rpm 
aprsg.src: W: spelling-error %description -l en_US soundmodem -> sound modem, sound-modem, soundness
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

(False positive - soundmodem is the name of the package)

On a built binary (mock, F16-x86_64) I also get wrong-file-end-of-line-encoding for COPYING -- Text is identical to the GPL -- Should I fix with dos2unix or get  upstream to change?

Comment 7 Michael S. 2012-03-19 19:22:41 UTC
A few comment :

- Requires:       libfap

seems to be wrong, is there a reason, is it not auto detected ?

- there is no startup script, and I think one is needed ( either sysv init, or systemd, sysv for older fedora and EPEL ).

Comment 8 Gwyn Ciesla 2012-03-19 19:31:33 UTC
Agreed, BuildRequiring libfap-devel should do it.  And since this is a new package, the init script needs to by systemd, not sysvinit.

Comment 9 Andrew Elwell 2012-03-20 07:56:33 UTC
Thanks for feedback - will throw out an update in the next 48h or so.

Comment 10 Michael S. 2012-08-24 13:44:02 UTC
Hi Andrew, no update ?

Comment 11 Andrew Elwell 2012-09-07 09:05:10 UTC
Hi - Got some time to work on this (I know, I know) -- however I'm also likely to put aprx as a new package -- seems a bit simpler.

Comment 12 Mario Blättermann 2013-01-02 19:02:45 UTC
Any news here?

Comment 13 Jason Tibbitts 2013-04-10 18:07:34 UTC
No response in ages; I'm going to go ahead and close this.


Note You need to log in before you can comment on or make changes to this bug.